### Enumeration

# Gio PollableReturn

since: 2.60

#### Declaration

    enum Gio.PollableReturn

#### Description

Return value for various IO operations that signal errors via the return value and not necessarily via a `GError`.

This enum exists to be able to return errors to callers without having to allocate a `GError`. Allocating `GErrors` can be quite expensive for regularly happening errors like `G_IO_ERROR_WOULD_BLOCK`.

In case of `G_POLLABLE_RETURN_FAILED` a `GError` should be set for the operation to give details about the error that happened.

Available since: 2.60

#### Members

`G_POLLABLE_RETURN_FAILED`

  Generic error condition for when an operation fails.

  - Value: `0`
  - Available since: 2.60
`G_POLLABLE_RETURN_OK`

  The operation was successfully finished.

  - Value: `1`
  - Available since: 2.60
`G_POLLABLE_RETURN_WOULD_BLOCK`

  The operation would block.

  - Value: `-27`
  - Available since: 2.60